import { getStateInfo } from "@/lib/getStateInfo";
import Call from "./call/Call";
import Connect from "./Connect";

function ContactUsPage() {
  const { matchedCity } = getStateInfo();
  const isDefault = matchedCity?.id === "63";

  return (
    <div className="w-full pt-[24px] sm:pt-[56px] md:pt-[88px] lg:pt-[120px] mt-[56px] padding-responsive flex flex-col lg:flex-row items-center justify-between h-fit">
      <Call matchedCity={matchedCity} isDefault={isDefault} />
      {matchedCity?.id === "63" && <Connect />}
    </div>
  );
}

export default ContactUsPage;
